#!/bin/bash

_install() {
    if [[ $VMFLAG = 1 ]];then
        return 0
    fi
    return 0
}

_check() {
    _check="PASS"

    if [[ $VMFLAG = 1 ]];then
        return 0
    fi

    if [[ $MachineType == "G2.U4.A4.34" && $BOOTMODE == "Legacy" ]];then
        PRINT_ERR "[ERROR] 此机型只允许UEFI模式"
        _check=FAIL
        return 1
    fi

}
